Bug 228632 - GQ forgets its preferences
GQ forgets its preferences
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gq (Show other bugs)
8
All Linux
medium Severity high
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-13 21:51 EST by Ian Chapman
Modified: 2009-01-09 02:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:04:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Chapman 2007-02-13 21:51:45 EST
Description of problem:

gq seems to just 'forget' its preference settings, particularly with regards to 
the servers list. For example if I add a few ldap servers into the preferences 
list, eventually they disappear and all I'm left with is 'localhost'.



Version-Release number of selected component (if applicable): gq-1.2.2-2.fc6


How reproducible:


Steps to Reproduce:
1. As a simple example, open up gq, go to preferences and delete the localhost 
entry, assuming a virgin run.
2. Quit gq
3. Load it again and surprisingly its back.
  
Actual results:
Preferences get mangled somehow, particularly with regards to storing the 
server details. Playing with the "Show Relative Distinguished Name" option, 
seems to cause servers to disappear from the preferences too.

Expected results:
Sane preference handling.

Additional info:

The following sort of messages are frequently seen on the console if launched 
from the command line.

** (gq:3601): CRITICAL **: gq_server_list_get_by_name: assertion `name 
&& *name' failed
[ian@pip ~]$ gq

** (gq:3612): CRITICAL **: is_transient_server: assertion 
`GQ_IS_SERVER(server)' failed

** (gq:3612): CRITICAL **: is_transient_server: assertion 
`GQ_IS_SERVER(server)' failed

** (gq:3612): CRITICAL **: is_transient_server: assertion 
`GQ_IS_SERVER(server)' failed

** (gq:3612): CRITICAL **: gq_server_list_get_by_name: assertion `name 
&& *name' failed

** (gq:3612): CRITICAL **: is_transient_server: assertion 
`GQ_IS_SERVER(server)' failed

** (gq:3612): CRITICAL **: is_transient_server: assertion 
`GQ_IS_SERVER(server)' failed

** (gq:3612): CRITICAL **: gq_server_list_remove: assertion 
`gq_server_list_contains(self, server)' failed
Comment 1 Terje Røsten 2007-02-19 07:38:03 EST
Yeah, there are several problems in this area.

Upstream has several bugs: #1593645, #1593662, #1593669.
Herzi has done some hacking lately, maybe this stuff will
be better in the next stable upstream release.
Comment 2 Terje Røsten 2008-01-08 17:22:41 EST
Sven released a gq 1.3.3 today, can you give it a try?

A srpm is available here:

 http://terjeros.fedorapeople.org/gq/

rebuild on your platform with

 $ rpmbuild --rebuild gq-1.3.3-1.fc8.src.rpm

If you can't rebuild your self, I can do it for you if tell the fedora version
and arch you are running. Thanks in advance.


Comment 3 Ian Chapman 2008-01-08 17:43:00 EST
Thanks, I'll check out the new RPM shortly :-)
Comment 4 Ian Chapman 2008-01-11 20:15:07 EST
Ah yes, this version seems to work a lot better for me. There's also a few
things I noticed about the srpm.

1. You're missing a BR on gnome-doc-utils
2. You need a BR on /usr/bin/scrollkeeper-config (especially for F7)
3. On F7 you also need something like rm -rf %{buildroot}/var (or equivalent) to
delete the unneeded scrollkeeper crap otherwise it'll fail. This isn't needed
with F8+ because scrollkeeper stuff is handled by rarian I believe.

Thanks! :)
Comment 5 Terje Røsten 2008-01-14 15:38:23 EST
This sounds good, will update gq to 1.4.0 when it's released.

Thanks for testing and providing feedback on the package.




Comment 6 Terje Røsten 2008-01-21 16:42:23 EST
New srpm with more fixes available:

 http://terjeros.fedorapeople.org/gq/gq-1.3.3-2.fc8.src.rpm


Comment 7 Ian Chapman 2008-02-26 10:18:15 EST
Thanks, missed that. I'll have a look soon.
Comment 8 Ian Chapman 2008-03-19 19:56:01 EDT
(In reply to comment #6)
> New srpm with more fixes available:
> 
>  http://terjeros.fedorapeople.org/gq/gq-1.3.3-2.fc8.src.rpm

Seems to work reasonably well too and builds fine in mock at least for F8 this
time. :)

Comment 9 Bug Zapper 2008-04-04 02:13:23 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Terje Røsten 2008-04-04 17:22:52 EDT
Just to make it clear, comment #9 is bogus, just ignore. Sorry for the noise.
Comment 11 John Poelstra 2008-05-02 19:55:51 EDT
changing version to '8' so this bug does not get closed as part of EOL closing
process
Comment 12 Bug Zapper 2008-11-26 02:10:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-01-09 02:04:32 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.